// Includes basic EZLib functions
#include <iostream>
#include <chrono>
#include <fstream>

using namespace std;

void ezl_hello(int nl) { // Print a hello message
	if (nl == 1) {
		cout << "Hello, from EZLib!\n";
	} else {
		cout << "Hello, from EZLib!";
	}
}

void ezl_info() { // Info about EZLib
	cout << "EZLib v1.0.0"; // NL is disabled by default
}

void ezl_ver(int nl) { // Redirected to ezl_info()
	ezl_info();
}

void ezl_time(int nl) { // Prints the UNIX Timestamp
	const auto p1 = std::chrono::system_clock::now();
	if (nl == 1) {
		cout << chrono::duration_cast<std::chrono::seconds>(
			p1.time_since_epoch()).count() << "\n";
	} else {
		cout << chrono::duration_cast<std::chrono::seconds>(
			p1.time_since_epoch()).count();
	}

}

void ezl_rf(string filename) { // Reads a file
	string ezlrf_output;
	ifstream ezl_readfile(filename);
	
	while (getline (ezl_readfile, ezlrf_output)) {
		cout << ezlrf_output;
}

	ezl_readfile.close(); 

}

void ezl_wf(string filename, string text2write) { // Writes a file
	ofstream ezl_writefile(filename);
	
	ezl_writefile << text2write;
	
	ezl_writefile.close();
}